tests

## Class PraktikumHolonsTestClasses

- java.lang.Object
- - tests.PraktikumHolonsTestClasses

    public class PraktikumHolonsTestClasses
    extends java.lang.Object

Test for the Classes.

Author:
  Gruppe14

### Constructor Summary

Constructors
Constructor and Description
`PraktikumHolonsTestClasses()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `testCategory()` Test for the Categories.
`void` `testCpsEdge()` Test for CpsEdge.
`void` `testHolonElement()` Test for HolonElement.
`void` `testHolonObject()` Test for HolonObject.
`void` `testHolonSwitch()` Test for HolonSwitch.
`void` `testPosition()` Test for Position.
`void` `testSubNet()` Test SubNet.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PraktikumHolonsTestClasses

    public PraktikumHolonsTestClasses()

### Method Detail

#### testCategory

    public void testCategory()

Test for the Categories.

#### testHolonObject

    public void testHolonObject()

Test for HolonObject.

#### testHolonSwitch

    public void testHolonSwitch()

Test for HolonSwitch.

#### testCpsEdge

    public void testCpsEdge()

Test for CpsEdge.

#### testHolonElement

    public void testHolonElement()

Test for HolonElement.

#### testPosition

    public void testPosition()

Test for Position.

#### testSubNet

    public void testSubNet()

Test SubNet.